## ssmtp 2.27-2

=== Makefile ===
#
# A makefile with a complete set of defaults for sSMTP
#
# Things ssmtp needs to know as -D options:
#	MAILHUB, the machine to send all mail via. Default
#		is ``mailhost''.
#	REWRITE_DOMAIN, the domain to rewrite mail as coming
#		from.  Only rewrites ``From:'' line if this
#		variable is set, and nothing whatsoever if unset.
#		NOT required if using zmailer or a sane sendmail
#		on the mailhub. Defaults to off.
#	LOGGING, the mechanism use to log problems and successes:
#		SYSLOG, logging is to be done to syslog(2).
#		LOGFILE, if a file gets it too.
#		Default is no logging, which is not smart.
#	LACKING, the flags used to select optional replacement code:
#		NOSTRDUP, NOSTRSTR, NOSTRNCASECMP, NOSTRTOK for strings,
#		OLDSYSLOG, to indicate obsolete syslog/openlog function.
#		Defaults to empty.
#

MAILHUB=mail
LOGGING=-DSYSLOG # I recommend this strongly.

LACKING= # For SunOS 4.1.1, SPARCs and 3/60s

#BASEFLAGS=-DMAILHUB=\"${MAILHUB}\" ${LOGGING} ${LACKING} \
#	-DREWRITE_DOMAIN=\"${REWRITE_DOMAIN}\" 
#	Do not define the above unless rewriting is necessary.
#BASEFLAGS=-DMAILHUB=\"${MAILHUB}\" ${LOGGING} ${LACKING} -DREWRITE_DOMAIN
BASEFLAGS=${LOGGING} ${LACKING} -DREWRITE_DOMAIN

# (End of tuning section).

# Places to install things, used to relocate things for Ultrix kits.
# 	ROOT normally is the empty string...
#ROOT=
DESTDIR=${ROOT}/usr/sbin
MANDIR=${ROOT}/usr/man/man8
ETCDIR=${ROOT}/etc
SSMTPCONFDIR=${ETCDIR}/ssmtp
# (End of relocation section)

# Uncomment this if you have defined LACKING
#SRCS= ssmtp.c string_ext.c
SRCS= ssmtp.c

OBJS=$(SRCS:.c=.o)

FLAGS= -Wall -O6 ${BASEFLAGS}
#FLAGS= -Wall -g ${BASEFLAGS}

CFLAGS= ${FLAGS} ${BASEFLAGS}

all: ssmtp

install: ssmtp
	test `whoami` = root
	install -d -m 755 ${DESTDIR}
	install -s -m 755 ssmtp ${DESTDIR}/ssmtp
	install -d -m 755 ${MANDIR}
	install -m 644 ssmtp.8 ${MANDIR}/ssmtp.8
	install -d -m 755 ${SSMTPCONFDIR}
	install -m 644 ssmtp.conf ${SSMTPCONFDIR}/ssmtp.conf
	install -m 644 revaliases ${SSMTPCONFDIR}/revaliases


install-sendmail: ssmtp install
	ln -s ssmtp ${DESTDIR}/sendmail
	install -d -m 755 ${DESTDIR}/../lib
	ln -s ../sbin/sendmail ${DESTDIR}/../lib
	ln -s ssmtp.8 ${MANDIR}/sendmail.8

deinstall:
	test `whoami` = root
	rm -f ${DESTDIR}/ssmtp
	rm -f ${MANDIR}/ssmtp.8
	rm -f ${SSMTPCONFDIR}/mail.conf ${SSMTPCONFDIR}/revaliases
	rmdir ${SSMTPCONFDIR}

deinstall-sendmail: deinstall
	rm -f ${DESTDIR}/sendmail ${DESTDIR}/../lib/sendmail
	rm -f ${MANDIR}/sendmail.8

clean:
	rm -f ssmtp *.o core

# Binaries:
ssmtp: ${OBJS}
	${CC} -o ssmtp ${CFLAGS} ${OBJS}

=== debian/changelog ===
ssmtp (2.27-2) frozen unstable; urgency=low

  * Now refers to the correct configuration file in the postinst script
    (fixes #21848)

 -- Hugo Haas <hugo@debian.org>  Wed, 29 Apr 1998 21:42:59 +0100

ssmtp (2.27-1) frozen unstable; urgency=low

  * 'Root' option now works (fixes #21335)
  * Fixed a problem due to null real names

 -- Hugo Haas <hugo@debian.org>  Sat, 18 Apr 1998 12:41:02 +0100

ssmtp (2.26-4) frozen unstable; urgency=low

  * Updated to standards 2.4.1.0
  * Modified /etc/mailname usage in postinst script

 -- Hugo Haas <hugo@debian.org>  Fri, 17 Apr 1998 12:26:33 +0100

ssmtp (2.26-3) frozen unstable; urgency=low

  * Removed debugging information (Oops!)

 -- Hugo Haas <hugo@debian.org>  Thu,  9 Apr 1998 15:09:01 +0100

ssmtp (2.26-2) frozen unstable; urgency=low

  * Ignored DSN options. Now works with mutt. :-)

 -- Hugo Haas <hugo@debian.org>  Tue,  7 Apr 1998 14:14:40 +0100

ssmtp (2.26-1) frozen unstable; urgency=low

  * New upstream version: removed "horrible trick" used to get RFC822 date
  * Source and installation clean-up

 -- Hugo Haas <hugo@debian.org>  Sat,  4 Apr 1998 01:08:52 +0100

ssmtp (2.25-5) frozen unstable; urgency=low

  * Removed quotes in the From: line

 -- Hugo Haas <hugo@debian.org>  Fri,  3 Apr 1998 21:31:29 +0100

ssmtp (2.25-4) unstable; urgency=low

  * Corrected a typo

 -- Hugo Haas <hugo@debian.org>  Thu, 19 Mar 1998 08:49:13 +0000

ssmtp (2.25-3) unstable; urgency=low

  * Moved configuration files to /etc/ssmtp

 -- Hugo Haas <hugo@debian.org>  Wed, 18 Mar 1998 18:38:04 +0000

ssmtp (2.25-2) unstable; urgency=low

  * Changed manpage

 -- Hugo Haas <hugo@debian.org>  Sat, 14 Mar 1998 02:43:35 +0000

ssmtp (2.25-1) unstable; urgency=low

  * New upstream version

 -- Hugo Haas <hugo@debian.org>  Sat, 14 Mar 1998 02:03:02 +0000

ssmtp (2.24-4) unstable; urgency=low

  * Updated to standards 2.4.0.0
  * Removed debhelper's dh_du

 -- Hugo Haas <hugo@debian.org>  Sun, 22 Feb 1998 11:13:43 +0000

ssmtp (2.24-3) unstable; urgency=low

  * README file modified: incompatibility with Pine explained

 -- Hugo Haas <hugo@debian.org>  Thu, 29 Jan 1998 18:23:47 +0000

ssmtp (2.24-2) unstable; urgency=low

  * Modified the manpage
  * Added a link to sendmail manpage

 -- Hugo Haas <hugo@debian.org>  Wed, 28 Jan 1998 20:54:16 +0000

ssmtp (2.24-1) unstable; urgency=low

  * New upstream version: configuration parsing changed (#17470)
  * Declared configuration files as conffiles
  * Changed the Makefile
  * Changed the logging verbosity

 -- Hugo Haas <hugo@debian.org>  Mon, 26 Jan 1998 22:40:49 +0000

ssmtp (2.23-1) unstable; urgency=low

  * New upstream version (#17240)
  * Enabled RewriteDomain option
  * Enabled Syslog option

 -- Hugo Haas <hugo@debian.org>  Mon, 19 Jan 1998 15:18:53 +0000

ssmtp (2.22-2) unstable; urgency=low

  * Add /usr/lib/sendmail symlink (#17178)

 -- Hugo Haas <hugo@debian.org>  Fri, 16 Jan 1998 14:27:37 +0000

ssmtp (2.22-1) unstable; urgency=high

  * New upstream version (#15690)
  * Correct typo in /etc/ssmtp.conf (#15690)

 -- Hugo Haas <hugo@debian.org>  Sun, 21 Dec 1997 17:49:05 +0100

ssmtp (2.21-1) unstable; urgency=low

  * New upstream version (RCPT bug fixed)

 -- Hugo Haas <hugo@debian.org>  Tue, 11 Nov 1997 15:14:19 +0000

ssmtp (2.2-1) unstable; urgency=low

  * New maintainer
  * New upstream version

 -- Hugo Haas <hugo@debian.org>  Sun, 26 Oct 1997 12:08:24 +0100

ssmtp (2.1) unstable; urgency=low

  * Make it a native package. I am the upstream maintainer also now.
  * Change Copyright to GPL
  * Remove old documentation

 -- Christoph Lameter <clameter@debian.org>  Mon, 29 Sep 1997 17:42:50 -0700

ssmtp (2.0-4) unstable; urgency=low

  * Fix manpage

 -- Christoph Lameter <clameter@debian.org>  Mon, 29 Sep 1997 08:04:58 -0700

ssmtp (2.0-3) unstable; urgency=low

  * Implement the sendmail -t option (limited!)
  * Limit header size to 4K (easier programming, spam protection)

 -- Christoph Lameter <clameter@debian.org>  Sun, 28 Sep 1997 20:50:35 -0700

ssmtp (2.0-2) unstable; urgency=low

  * Changes to documentation
  * Move config file to /etc/ssmtp.conf

 -- Christoph Lameter <clameter@debian.org>  Sun, 28 Sep 1997 14:53:36 -0700

ssmtp (2.0-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Thu, 22 May 1997 22:18:24 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "hugo@debian.org"
End:

=== debian/control ===
Source: ssmtp
Section: mail
Priority: optional
Maintainer: Hugo Haas <hugo@debian.org>
Standards-Version: 2.4.1.0

Package: ssmtp
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: mail-transport-agent
Provides: mail-transport-agent
Replaces: mail-transport-agent, exim, sendmail, smail, qmail, zmailer
Description: Extremely simple MTA to get mail off the system to a Mailhub
 A secure, effective and simple way of getting mail off a system to your
 mailhost. No suid-binaries or other dangerous things. No mail spool to poke
 around in. No daemons running in the background. Mail is simply forwarded to
 the configured mailhost. Extremely easy configuration.
 .
 WARNING: the above is all it does. It does not receive mail, expand
 aliases or manage a queue.  That belongs on a mailhub with a system
 administrator.

=== debian/rules ===
#!/usr/bin/make -f
# Using debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) FLAGS="-O2 -g -Wall"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	$(MAKE) ROOT=`pwd`/debian/tmp install-sendmail
	rm debian/tmp/etc/ssmtp/ssmtp.conf
	touch debian/tmp/etc/ssmtp/ssmtp.conf

	dh_installdocs
	dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ssmtp 2.30

=== Makefile ===
--- 
+++ 
@@ -20,26 +20,37 @@
 #
 
 MAILHUB=mail
-LOGGING=-DSYSLOG # I recommend this strongly.
+LOGGING=-DSYSLOG# I recommend this strongly.
 
-LACKING= # For SunOS 4.1.1, SPARCs and 3/60s
+LACKING=# For SunOS 4.1.1, SPARCs and 3/60s
 
 #BASEFLAGS=-DMAILHUB=\"${MAILHUB}\" ${LOGGING} ${LACKING} \
 #	-DREWRITE_DOMAIN=\"${REWRITE_DOMAIN}\" 
 #	Do not define the above unless rewriting is necessary.
 #BASEFLAGS=-DMAILHUB=\"${MAILHUB}\" ${LOGGING} ${LACKING} -DREWRITE_DOMAIN
-BASEFLAGS=${LOGGING} ${LACKING} -DREWRITE_DOMAIN
+BASEFLAGS=${LACKING} ${LOGGING} -DREWRITE_DOMAIN
 
 # (End of tuning section).
 
 # Places to install things, used to relocate things for Ultrix kits.
 # 	ROOT normally is the empty string...
 #ROOT=
-DESTDIR=${ROOT}/usr/sbin
-MANDIR=${ROOT}/usr/man/man8
+LOCATION=/usr/local
+DESTDIR=${ROOT}${LOCATION}/sbin
+MANDIR=${ROOT}${LOCATION}/man/man8
 ETCDIR=${ROOT}/etc
 SSMTPCONFDIR=${ETCDIR}/ssmtp
 # (End of relocation section)
+
+# Configuration files
+CONFIGURATION_FILE=${SSMTPCONFDIR}/ssmtp.conf
+REVALIASES_FILE=${SSMTPCONFDIR}/revaliases
+
+INSTALLED_CONFIGURATION_FILE=${CONFIGURATION_FILE}
+INSTALLED_REVALIASES_FILE=${REVALIASES_FILE}
+
+# Programs
+GEN_CONFIG=./generate_config
 
 # Uncomment this if you have defined LACKING
 #SRCS= ssmtp.c string_ext.c
@@ -47,7 +58,8 @@
 
 OBJS=$(SRCS:.c=.o)
 
-FLAGS= -Wall -O6 ${BASEFLAGS}
+FLAGS= -Wall -O6
+#FLAGS= -Wall -O6 -DDEBUG ${BASEFLAGS}
 #FLAGS= -Wall -g ${BASEFLAGS}
 
 CFLAGS= ${FLAGS} ${BASEFLAGS}
@@ -61,24 +73,27 @@
 	install -d -m 755 ${MANDIR}
 	install -m 644 ssmtp.8 ${MANDIR}/ssmtp.8
 	install -d -m 755 ${SSMTPCONFDIR}
-	install -m 644 ssmtp.conf ${SSMTPCONFDIR}/ssmtp.conf
-	install -m 644 revaliases ${SSMTPCONFDIR}/revaliases
+	install -m 644 revaliases ${INSTALLED_REVALIASES_FILE}
+	$(GEN_CONFIG) ${INSTALLED_CONFIGURATION_FILE}
 
 
 install-sendmail: ssmtp install
+	rm -f ${DESTDIR}/sendmail
 	ln -s ssmtp ${DESTDIR}/sendmail
 	install -d -m 755 ${DESTDIR}/../lib
+	rm -f ${DESTDIR}/../lib/sendmail
 	ln -s ../sbin/sendmail ${DESTDIR}/../lib
+	rm -f ${MANDIR}/sendmail.8
 	ln -s ssmtp.8 ${MANDIR}/sendmail.8
 
-deinstall:
+uninstall:
 	test `whoami` = root
 	rm -f ${DESTDIR}/ssmtp
 	rm -f ${MANDIR}/ssmtp.8
-	rm -f ${SSMTPCONFDIR}/mail.conf ${SSMTPCONFDIR}/revaliases
+	rm -f ${CONFIGURATION_FILE} ${REVALIASES_FILE}
 	rmdir ${SSMTPCONFDIR}
 
-deinstall-sendmail: deinstall
+uninstall-sendmail: uninstall
 	rm -f ${DESTDIR}/sendmail ${DESTDIR}/../lib/sendmail
 	rm -f ${MANDIR}/sendmail.8
 
@@ -88,3 +103,6 @@
 # Binaries:
 ssmtp: ${OBJS}
 	${CC} -o ssmtp ${CFLAGS} ${OBJS}
+
+%.o: %.c
+	${CC} ${CFLAGS} -DSSMTPCONFDIR=\"${SSMTPCONFDIR}\" -DCONFIGURATION_FILE=\"${CONFIGURATION_FILE}\" -DREVALIASES_FILE=\"${REVALIASES_FILE}\" -c $<

## ssmtp 2.50.6.1

=== debian/changelog ===
ssmtp (2.50.6.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix two format string vulnerabilities (die() and log_event())
    discovered by Max Vozeler <max@hinterhof.net> (CAN-2004-0156)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 12 Apr 2004 09:21:54 -0700

ssmtp (2.50.6) unstable; urgency=low

  * More problems with the header rewriting code (Closes: #140741)
  * Added nasty botch to work around group addreses not working

 -- Matt Ryan <mryan@debian.org>  Mon,  1 Apr 2002 14:08:04 +0100

ssmtp (2.50.5) unstable; urgency=low

  * Generate MAIL FROM from From: line if present (Closes: #139946)

 -- Matt Ryan <mryan@debian.org>  Fri, 29 Mar 2002 14:45:11 +0000

ssmtp (2.50.4) unstable; urgency=low

  * Make sure that from.c is checked out of RCS (Closes: #134440)

 -- Matt Ryan <mryan@debian.org>  Sun, 17 Feb 2002 22:56:21 +0000

ssmtp (2.50.3) unstable; urgency=low

  * Botch fix comes back to bite, patch from Jason Thomas hopefully fixes
    this problem (Closes: #133995)

 -- Matt Ryan <mryan@debian.org>  Fri, 15 Feb 2002 19:59:42 +0000

ssmtp (2.50.2) unstable; urgency=low

  * Botch fix for From: line mangling - proper fix will close bug report

 -- Matt Ryan <mryan@debian.org>  Wed, 13 Feb 2002 22:42:17 +0000

ssmtp (2.50.1) unstable; urgency=low

  * Remove debug code

 -- Matt Ryan <mryan@debian.org>  Sun, 10 Feb 2002 21:37:32 +0000

ssmtp (2.50) unstable; urgency=low

  * New version with candidate bug fixes

 -- Matt Ryan <mryan@debian.org>  Sun, 10 Feb 2002 21:05:57 +0000

ssmtp (2.48.3) unstable; urgency=low

  * Apply spelling fixes (Closes: #127419)

 -- Matt Ryan <mryan@debian.org>  Wed,  2 Jan 2002 19:39:14 +0000

ssmtp (2.48.2) unstable; urgency=low

  * Apply spelling fixes (Closes: #125381)

 -- Matt Ryan <mryan@debian.org>  Sat, 22 Dec 2001 11:58:12 +0000

ssmtp (2.48.1) unstable; urgency=low

  * No longer add symlink into /usr/doc (Closes: #123939)

 -- Matt Ryan <mryan@debian.org>  Sat, 15 Dec 2001 11:43:03 +0000

ssmtp (2.48) unstable; urgency=low

  * Fixed buffer overrun (Closes: #117713)

 -- Matt Ryan <mryan@debian.org>  Fri,  2 Nov 2001 10:58:46 +0000

ssmtp (2.47) unstable; urgency=low

  * Fix for dynamic header allocation code from Sam Couter (Closes: #115935)

 -- Matt Ryan <mryan@debian.org>  Wed, 17 Oct 2001 16:24:02 +0100

ssmtp (2.46) unstable; urgency=low

  * Fix new email address parsing code added in 2.45

 -- Matt Ryan <mryan@debian.org>  Tue, 16 Oct 2001 15:39:42 +0100

ssmtp (2.45) unstable; urgency=low

  * Added German debconf translations from Sebastian Felten (Closes: #114295)
  * Fixed parsing of -oeX options (Closes: #114162)
  * New email address parsing code

 -- Matt Ryan <mryan@debian.org>  Mon, 15 Oct 2001 19:42:48 +0100

ssmtp (2.44) unstable; urgency=low

  * Added support for '-f' specified email address with no '@domain.com'
    part (Closes: #108094)

 -- Matt Ryan <mryan@debian.org>  Fri, 10 Aug 2001 16:24:03 +0100

ssmtp (2.43) unstable; urgency=low

  * Major code reorganisation to cleanup and seperate into more logical parts.
  * Patched to allow From: with no domain part (Closes: #106994)

 -- Matt Ryan <mryan@debian.org>  Mon, 30 Jul 2001 12:43:27 +0100

ssmtp (2.40) unstable; urgency=low

  * Fix To/Cc/Bcc to handle multiple line entries (Closes: #105748)
  * Updated the 'verbose' and 'debug' options to give more information.
  * Changed to make package (more) Debian native.

 -- Matt Ryan <mryan@debian.org>  Sat, 21 Jul 2001 12:45:53 +0100

ssmtp (2.39-4) unstable; urgency=low

  * Check for SYSLOG properly to make sure we don't spam all users
    with syslog() messages (Closes: #103960)

 -- Matt Ryan <mryan@debian.org>  Mon,  9 Jul 2001 16:34:37 +0100

ssmtp (2.39-3) unstable; urgency=low

  * Fixup the syslog message to be more infomative (Closes: #100871)

 -- Matt Ryan <mryan@debian.org>  Fri,  6 Jul 2001 18:40:45 +0100

ssmtp (2.39-2) unstable; urgency=low

  * Reword debconf question on From: line override (Closes: #100433)

 -- Matt Ryan <mryan@debian.org>  Fri,  6 Jul 2001 17:59:37 +0100

ssmtp (2.39-1) unstable; urgency=low

  * Split up ssmtp.c into multiple logical pieces. Also support autoconf
    for application build.

 -- Matt Ryan <mryan@debian.org>  Tue,  8 May 2001 13:34:39 +0100

ssmtp (2.38-14) unstable; urgency=low

  * Added patch for alternate SMTP port selection

 -- Matt Ryan <mryan@debian.org>  Mon, 16 Apr 2001 12:50:23 +0100

ssmtp (2.38-13) unstable; urgency=low

  * Don't ask unnecessary questions on install/upgrade (Closes: #84770)

 -- Matt Ryan <mryan@debian.org>  Thu, 22 Mar 2001 12:35:07 +0000

ssmtp (2.38-12) unstable; urgency=low

  * Don't barf on preinst after broken NMU (Closes: #90367)

 -- Matt Ryan <mryan@debian.org>  Wed, 21 Mar 2001 20:43:58 +0000

ssmtp (2.38-11) unstable; urgency=low

  * Ask whether to overwrite config file (Closes: #84770)

 -- Matt Ryan <matt@banana.org.uk>  Mon, 19 Mar 2001 13:07:52 +0000

ssmtp (2.38-10) unstable; urgency=low

  * Backout non-maintainer changes (Closes: #90161)
  * Fix system UID check (Closes: #90029)

 -- Matt Ryan <matt@banana.org.uk>  Mon, 19 Mar 2001 12:50:48 +0000

ssmtp (2.38-9.1) unstable; urgency=low

  * Non-maintainer upload
  * Keeps an md5sum of auto-generated ssmtp.conf, and does not overwrite
    local admin's changes to this file. Fixes: #84770
  * Added /usr/doc symlink code to postinst and prerm.
  * Fixed permissions on install scripts to lintian's liking.
  * Added "-isp" flags to dpkg-gencontrol.

 -- Paul Martin <pm@debian.org>  Sat, 17 Mar 2001 12:42:12 +0000

ssmtp (2.38-9) unstable; urgency=low

  * /etc/mailname logic fix (Closes: #71632)
  * Patch for 'dot-stuffing' bug (Closes: #72348)
  * Americanised spelling cleanup

 -- Matt Ryan <matt@banana.org.uk>  Fri, 29 Sep 2000 15:22:44 +0100

ssmtp (2.38-8) unstable; urgency=low

  * Patch to fix reference to pointer which has been freed (Closes: #71245)

 -- Matt Ryan <matt@banana.org.uk>  Sun, 10 Sep 2000 10:51:48 +0100



=== debian/rules ===
#!/usr/bin/make -f
#
# Rules for making sSMTP - Matt Ryan
#
SHELL=/bin/bash
CC = gcc

do_cfg:
	test -f Makefile || ./configure --prefix="/usr"

build:	do_cfg
	make

binary:	binary-arch binary-indep

binary-arch:	checkroot configure build
	-rm -rf debian/tmp

	dpkg-shlibdeps ssmtp

	install -d -m 755 -o root -g root debian/tmp/DEBIAN
	dpkg-gencontrol
	install -m 400 debian/conffiles debian/tmp/DEBIAN
	install -m 555 debian/preinst debian/tmp/DEBIAN
	install -m 555 debian/postinst debian/tmp/DEBIAN
	install -m 555 debian/postrm debian/tmp/DEBIAN
	install -m 555 debian/config debian/tmp/DEBIAN
	install -m 555 debian/templates debian/tmp/DEBIAN

	install -d -m 755 debian/tmp/usr/sbin
	install -s -m 755 ssmtp debian/tmp/usr/sbin/ssmtp
	install -d -m 755 debian/tmp/usr/share/man/man8
	install -m 644 ssmtp.8 debian/tmp/usr/share/man/man8/ssmtp.8
	install -d -m 755 debian/tmp/etc/ssmtp
	install -m 644 revaliases debian/tmp/etc/ssmtp/revaliases

	-cd debian/tmp/usr/sbin && ln -sf ssmtp sendmail
	install -d -m 755 -o root -g root debian/tmp/usr/lib
	-cd debian/tmp/usr/lib && ln -sf ../sbin/sendmail .

	-cd debian/tmp/usr/sbin && ln -sf ssmtp newaliases
	install -m 644 debian/newaliases.8 debian/tmp/usr/share/man/man8
	-cd debian/tmp/usr/sbin && ln -sf ssmtp mailq
	install -m 644 debian/mailq.8 debian/tmp/usr/share/man/man8

	gzip -9v debian/tmp/usr/share/man/man8/*
	-cd debian/tmp/usr/share/man/man8 && ln -sf ssmtp.8.gz sendmail.8.gz

	install -d -m 755 -o root -g root debian/tmp/usr/share/doc/ssmtp
	install -m 644 README debian/tmp/usr/share/doc/ssmtp
	install -m 644 debian/README.debian debian/tmp/usr/share/doc/ssmtp/README.Debian
	install -m 644 debian/copyright debian/tmp/usr/share/doc/ssmtp
	install -m 644 debian/changelog debian/tmp/usr/share/doc/ssmtp/changelog
	install -m 644 OLD/CHANGELOG debian/tmp/usr/share/doc/ssmtp/CHANGELOG_OLD
	gzip -9 debian/tmp/usr/share/doc/ssmtp/{changelog,CHANGELOG_OLD}

	dpkg --build debian/tmp ..

binary-indep:

clean:	do_cfg
	-rm -rf debian/tmp
	-rm -f debian/{files,substvars}
	test -f Makefile && make distclean

checkroot:
	test root = "`whoami`"


.PHONY: build binary clean checkroot

## ssmtp 2.50.6.3

=== debian/changelog ===
ssmtp (2.50.6.3) stable; urgency=medium

  * Reapplied patch to version 2.50.6.1.
    Fixes security RC bug "ssmtp mangles messages in transit" found
    by Michelle Konzack <linux4michelle@freenet.de>, closes: #298054.
    Patch by Jeff King <peff-junk@peff.net>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 20 May 2005 20:08:25 +1000

ssmtp (2.50.6.2) stable; urgency=medium

  * Fixes security RC bug "ssmtp mangles messages in transit" found
    by Michelle Konzack <linux4michelle@freenet.de>, closes: #298054.
    Patch by Jeff King <peff-junk@peff.net>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 13 May 2005 09:23:00 +0100

=== debian/control ===
Source: ssmtp
Section: mail
Priority: extra
Maintainer: Matt Ryan <mryan@debian.org>
Standards-Version: 3.1.1.1

Package: ssmtp
Architecture: any
Depends: ${shlibs:Depends}, debconf
Conflicts: mail-transport-agent
Provides: mail-transport-agent
Replaces: mail-transport-agent
Description: Extremely simple MTA to get mail off the system to a mail hub
 A secure, effective and simple way of getting mail off a system to your
 mail hub. It contains no suid-binaries or other dangerous things - no mail
 spool to poke around in, and no daemons running in the background. Mail is
 simply forwarded to the configured mailhost. Extremely easy configuration.
 .
 WARNING: the above is all it does; it does not receive mail, expand aliases
 or manage a queue. That belongs on a mail hub with a system administrator.

## ssmtp 2.60.3

=== debian/changelog ===
ssmtp (2.60.3) unstable; urgency=low

  * Check for overflow in gethostbyname() - thanks to Stephan Erickson
  * Fixes for SSL compilation from Tomas Nejedlik
  * TZ problem fix from Paul Eggert (Closes: #169931)
  * Unused variable bug fixed in previous version (Closes: #171146)
  * Fixed in earlier version (Closes: #168397)

 -- Matt Ryan <mryan@debian.org>  Sun,  8 Dec 2002 17:37:17 +0000

ssmtp (2.60.2) unstable; urgency=low

  * Header code fixes have not generated more bug reports (Closes: #161821)
  * Another crack at fixing cron related mail errors (Closes: #163747)
  * Use correct variable in from_format function (Closes: #166276)
  * Fix build problem on non-i386 platforms (Closes: #165007)
  * Never got around to closing this after answer given (Closes: #154908)

 -- Matt Ryan <mryan@debian.org>  Fri, 27 Sep 2002 14:22:21 +0100

ssmtp (2.60.1) unstable; urgency=low

  * New version

 -- Matt Ryan <mryan@debian.org>  Fri, 27 Sep 2002 14:22:21 +0100

ssmtp (2.50.10) unstable; urgency=low

  * Added patch from Thatcher Ulrich to correctly terminate multi-line
    headers with \r\n
  * The code for undisclosed-recipients has been integrated for a number
    of release with no bugs reported (Closes: #136787)
  * No new reports of problems with the new From: rewrite code added over
    the last few point releases (Closes: #132424)
  * This appears to have been a debconf issue, but was never formally closed
    until now (Closes: #111951)

 -- Matt Ryan <mryan@debian.org>  Sat, 27 Jul 2002 13:52:36 +0100

ssmtp (2.50.9) unstable; urgency=low

  * Added patch from Cr33p to compile with SSL
  * Added fix from Mark Ferlatte for TZ offset (Closes: #148608)

 -- Matt Ryan <mryan@debian.org>  Mon,  3 Jun 2002 13:00:27 +0100

ssmtp (2.50.8) unstable; urgency=low

  * Better description of FromLineOverride in config file and some fixes
    to the code to better handle the From: override cases (Closes: #143903)
  * Added fix for MAIL FROM when supplied From: line is NULL (Closes: #145640)

 -- Matt Ryan <mryan@debian.org>  Tue,  7 May 2002 14:23:20 +0100

ssmtp (2.50.7) unstable; urgency=low

  * Workaround incorrect RewriteDomain settings

 -- Matt Ryan <mryan@debian.org>  Mon,  6 May 2002 21:06:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CC = gcc
 
 do_cfg:
-	test -f Makefile || ./configure --prefix="/usr"
+	test -f Makefile || ./configure --exec-prefix="/usr" --prefix=""
 
 build:	do_cfg
 	make

## ssmtp 2.60.4

=== debian/changelog ===
ssmtp (2.60.4) unstable; urgency=low

  * Fix 'MAIL FROM' problems with cron and the like setting bad 'From:'
    address when FromLineOverride=YES is set (Closes: #205513)
  * Update version string in ssmtp.c (Closes: #198763)
  * Work around missing spaces in headers (Closes: #192445)
  * Duplicate of 169931 (Closes: #183189)

 -- Matt Ryan <mryan@debian.org>  Sun, 17 Aug 2003 15:14:01 +0100

## ssmtp 2.60.7

=== debian/changelog ===
ssmtp (2.60.7) unstable; urgency=high

  * Fixed two format string vulnerabilities (die() and log_event()) (Closes: #243945)
    discovered by Max Vozeler <max@hinterhof.net> (CAN-2004-0156)
  * Creates bad date headers on some systems (Closes: #230864)
    Changed README file to warn Cygwin porters that they may need to #define USE_OLD_ARPADATE

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Fri, 16 Apr 2004 08:01:40 +1000

ssmtp (2.60.6) unstable; urgency=low

  * Added "Build-Depends: po-debconf" (Closes: #243260)

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Mon, 12 Apr 2004 15:05:23 +1000

ssmtp (2.60.5) unstable; urgency=low

  * New Maintainer (Closes: #241775)
  * Shouldn't overwrite configuration by default (Closes: #233556)
  * Switched to gettext for the debconf templates (Closes: #201795)
    Patch by Michel Grentzinger <mic.grentz@online.fr>
  * Added french translation of the debconf templates (Closes: #202274)
    Patch by Michel Grentzinger <mic.grentz@online.fr>
    
 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sat, 10 Apr 2004 09:41:51 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ssmtp
 Section: mail
 Priority: extra
-Maintainer: Matt Ryan <mryan@debian.org>
-Standards-Version: 3.1.1.1
+Maintainer: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
+Build-Depends: po-debconf
+Standards-Version: 3.6.1
 
 Package: ssmtp
 Architecture: any
@@ -10,7 +11,7 @@
 Conflicts: mail-transport-agent
 Provides: mail-transport-agent
 Replaces: mail-transport-agent
-Description: Extremely simple MTA to get mail off the system to a mail hub
+Description: extremely simple MTA to get mail off the system to a mail hub
  A secure, effective and simple way of getting mail off a system to your
  mail hub. It contains no suid-binaries or other dangerous things - no mail
  spool to poke around in, and no daemons running in the background. Mail is

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,13 @@
 	dpkg-shlibdeps ssmtp
 
 	install -d -m 755 -o root -g root debian/tmp/DEBIAN
-	dpkg-gencontrol
-	install -m 400 debian/conffiles debian/tmp/DEBIAN
-	install -m 555 debian/preinst debian/tmp/DEBIAN
-	install -m 555 debian/postinst debian/tmp/DEBIAN
-	install -m 555 debian/postrm debian/tmp/DEBIAN
-	install -m 555 debian/config debian/tmp/DEBIAN
-	install -m 555 debian/templates debian/tmp/DEBIAN
+	dpkg-gencontrol -isp
+	po2debconf --podir=debian/po debian/templates > debian/tmp/DEBIAN/templates
+	install -m 644 debian/conffiles debian/tmp/DEBIAN
+	install -m 755 debian/preinst debian/tmp/DEBIAN
+	install -m 755 debian/postinst debian/tmp/DEBIAN
+	install -m 755 debian/postrm debian/tmp/DEBIAN
+	install -m 755 debian/config debian/tmp/DEBIAN
 
 	install -d -m 755 debian/tmp/usr/sbin
 	install -s -m 755 ssmtp debian/tmp/usr/sbin/ssmtp
@@ -51,7 +51,7 @@
 	install -m 644 debian/README.debian debian/tmp/usr/share/doc/ssmtp/README.Debian
 	install -m 644 debian/copyright debian/tmp/usr/share/doc/ssmtp
 	install -m 644 debian/changelog debian/tmp/usr/share/doc/ssmtp/changelog
-	install -m 644 OLD/CHANGELOG debian/tmp/usr/share/doc/ssmtp/CHANGELOG_OLD
+	install -m 644 CHANGELOG_OLD debian/tmp/usr/share/doc/ssmtp/CHANGELOG_OLD
 	gzip -9 debian/tmp/usr/share/doc/ssmtp/{changelog,CHANGELOG_OLD}
 
 	dpkg --build debian/tmp ..

## ssmtp 2.60.9

=== debian/changelog ===
ssmtp (2.60.9) unstable; urgency=low

  * Can not execute generate_config (Closes: #246225)
    Changed generate_config permissions.
  * Following INSTALL docs does build sSMTP on a Fedora Core 1 system (Closes: #246226)
    Changed INSTALL file. Patch by Sven Heinicke <sven@nec-labs.com>
  * ssmtp-2.60.4 does not compile if --enable-md5suth is set (Closes: #213194)
    Patch by Brandy Westcott <brandy@gentoo.org>
  * SSMTP builds with MD5 support but during the exchange it segfaults (Closes: #249203)
    Patch by Paul Davis <pdd@lucent.com>
  * Build system ignores CC environment (Closes: #198764)
    Patch by Moritz Barsnick <moritz+deb@barsnick.net>
  * Possible better config-file-generator (Closes: #245870)
    Included in the source root directory as generate_config_alt so people could try it.
    Patch by Jari Aalto and submitted by Robert R Schneck-McConnell <schneck@Math.Berkeley.EDU>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sun, 16 May 2004 12:50:54 +1000

ssmtp (2.60.8) unstable; urgency=low

  * Added CFLAGS to debian/rules
  * Documentation error - 4K limitation or not? (Closes: #220542)
    Updated debian/README.debian
  * SSL support not compiled in (Closes: #244660)
    Changed debian/rules. Patch by jacob@internet24.de
  * The source compilaton fails if ./configure --enable-logfile is selected (Closes: #242905)
    Changed ssmtp.c. Patch by Jari Aalto.
  * SSL/TLS support cannot handle STARTTLS (Closes: #244666)
    Changed ssmtp.c and TLS. Patch by jacob@internet24.de
  * generate_config has syntax errors (Closes: #245083)
    Changed generate_config. Patch by Sven Heinicke <sven@nec-labs.com>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sat, 24 Apr 2004 14:29:58 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: extra
 Maintainer: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
-Build-Depends: po-debconf
+Build-Depends: po-debconf, libssl-dev
 Standards-Version: 3.6.1
 
 Package: ssmtp

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,10 @@
 #
 SHELL=/bin/bash
 CC = gcc
+CFLAGS = -O2 -g -Wall
 
 do_cfg:
-	test -f Makefile || ./configure --exec-prefix="/usr" --prefix=""
+	test -f Makefile || ./configure --exec-prefix="/usr" --prefix="" --enable-ssl --with-cflags="$(CFLAGS)"
 
 build:	do_cfg
 	make

## ssmtp 2.64

=== debian/changelog ===
ssmtp (2.64-8) unstable; urgency=medium

  * Fix "Partial loss of message body, sending message to wrong recipicients".
    Reported by Christoph Biedl <debian.axhn@manchmal.in-ulm.de>.
    Patch by "Daniel Richard G." <skunk@iSKUNK.ORG>.
    Add ssmtp-bug584162-fix.patch.
    Closes: #584162.
  * Refresh patches.
  * Standards-Version: 3.9.5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 15 Jul 2014 01:49:18 +0100

ssmtp (2.64-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on libgnutls-openssl-dev instead of libgnutls-dev to allow
    transitioning to newer GnuTLS. Closes: #731605
  * Fix building with umask != 0022 with
    "chmod 644 debian/tmp/DEBIAN/templates"

 -- Andreas Metzler <ametzler@debian.org>  Fri, 11 Apr 2014 19:40:24 +0200

ssmtp (2.64-7) unstable; urgency=low

  * Use hardening options
    Add 05-LDFLAGS.patch
  * Standards version: 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 30 Jun 2012 08:41:49 +1000

ssmtp (2.64-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from David Mearns to fix addition of garbage at end of
    attachments (closes: Bug#508759)

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 24 Jun 2012 17:02:16 -0700

ssmtp (2.64-6) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #654753
    - Danish (Joe Hansen).  Closes: #654923
    - Slovak (Ivan Masár).  Closes: #656529

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 28 Jan 2012 11:55:13 +1100

ssmtp (2.64-5) unstable; urgency=low

  [ Iain Lane ]
  * Link against libgnutls-openssl; fixes FTBFS against multiarch enabled
    gnutls (Closes: #636143)

  [ Anibal Monsalve Salazar ]
  * Fix unneeded-build-dep-on-quilt
  * Fix debian-rules-missing-recommended-target
  * Standards-Version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 11 Aug 2011 21:23:43 +1000

ssmtp (2.64-4) unstable; urgency=low

  * Set back permissions as before 2.64-1 
    Closes: 570971, 572154, 559900, 557948, 560397
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall). Closes: 569003, 569654
    - Brazilian Portuguese (Jef Lui). Closes: 576535

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 08 Apr 2010 16:17:50 +1000

ssmtp (2.64-3) unstable; urgency=low

  * Change ssmtp permissions
    Patch by Jörg Sommer
    Closes: 567906

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Feb 2010 17:34:17 +1100

ssmtp (2.64-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane(Debian-JP)).  Closes: #557773
    - Galician (Marce Villarino).  Closes: #557862
    - Swedish (Martin Ågren).  Closes: #558142
    - Italian (Luca Monducci).  Closes: #558367
    - Czech (Miroslav Kure).  Closes: #558415
    - German (Erik Schanze).  Closes: #559081
    - Spanish (Francisco Javier Cuadrado).  Closes: #559416
    - Portuguese (Ricardo Silva).  Closes: #559494
    - Russian (Yuri Kozlov).  Closes: #559528
    - French (Michel Grentzinger).  Closes: #559579
    - Finnish (Esko Arajärvi).  Closes: #564490

  [ Anibal Monsalve Salazar ]
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Feb 2010 16:53:37 +1100

ssmtp (2.64-1) unstable; urgency=low

  * New upstream version
    Delete 02-397149-amd64-crammd5.patch (merged)
  * Source package format is 3.0 (quilt)
  * Fix out-of-date-standards-version
  * Fix malformed-prompt-in-templates
  * Fix no-homepage-field
  * Add 02-557725-solaris.patch by Darik Horn to make ssmtp compatible
    with Solaris 11. Closes: 557725
  * Add 03-557741-remote-addr.patch by Victor Sudakov to insert the X-
    Originating-IP header. Closes: 557741
  * Make AuthUser/AuthPass not visible to all users. Closes: 500454

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Nov 2009 14:21:52 +1100

ssmtp (2.63-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * allow cram-md5 authentication to work on 64bit systems, by applying patch
    provided by Ingo Rohloff in the bug report (closes: 397149)

 -- Philip Hands <phil@hands.com>  Sun, 27 Sep 2009 09:48:41 +0100

ssmtp (2.63-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright
  * Update 01-374327-use-gnutls.patch
  * Fix out-of-date-standards-version
  * Update Vcs-Git and Vcs-Browser in debian/control
  * Fix maintainer-script-without-set-e
  * Fix copyright-refers-to-symlink-license
  * Failover to multiple mailhubs in IPv4. Closes: 351993

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Jul 2009 14:18:13 +1000

ssmtp (2.62-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.

 -- Nicolas Valcárcel Scerpella <nvalcarcel@canonical.com>  Mon, 04 May 2009 15:19:53 -0500

ssmtp (2.62-3) unstable; urgency=medium

  * Fix pending l10n issues. Debconf translations:
    - Vietnamese. Closes: #513670

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 31 Jan 2009 20:06:28 +1100

ssmtp (2.62-2.2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.
  * Dropped debian/patches/03_fix_buffer_overflow: debian provides a fix

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Thu, 18 Dec 2008 02:25:45 -0500

ssmtp (2.62-2.2) unstable; urgency=medium

  * NMU.
  * Make sure that a CRLF is output even when the message from stdin
    doesn't have one. Closes: #506188

 -- Kari Pahula <kaol@debian.org>  Fri, 21 Nov 2008 10:09:02 +0200

ssmtp (2.62-2.1) unstable; urgency=low

  * NMU.
  * Only double leading dots at line start and don't overexpand buffer in
    standardise().  Don't add extra "\r\n" endings in between lines over
    BUF_SZ bytes long. Closes: #345780



=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: ssmtp
 Section: mail
 Priority: extra
-Maintainer: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
-Build-Depends: po-debconf, libssl-dev
-Standards-Version: 3.6.1
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1~), po-debconf, libgnutls-openssl-dev
+Standards-Version: 3.9.5
+Vcs-Git: git://git.debian.org/ssmtp/ssmtp.git
+Vcs-Browser: http://git.debian.org/?p=ssmtp/ssmtp.git
+Homepage: http://packages.qa.debian.org/s/ssmtp.html
 
 Package: ssmtp
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0
 Conflicts: mail-transport-agent
 Provides: mail-transport-agent
 Replaces: mail-transport-agent

=== debian/rules ===
#!/usr/bin/make -f
#
# Rules for making sSMTP - Matt Ryan
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>
#

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

SHELL=/bin/bash
CC=gcc
CFLAGS+=-O2 -g -Wall

do_cfg:
	test -f Makefile || ./configure --exec-prefix="/usr" --prefix="" --enable-ssl --enable-inet6 --enable-md5auth --with-cflags="$(CFLAGS)"

build-arch: build
build-indep: build
build:	do_cfg
	make

binary:	binary-arch binary-indep

binary-arch:	checkroot configure build
	-rm -rf debian/tmp

	dpkg-shlibdeps ssmtp

	install -d -m 755 -o root -g root debian/tmp/DEBIAN
	dpkg-gencontrol -isp
	po2debconf --podir=debian/po debian/templates > debian/tmp/DEBIAN/templates
	chmod 644 debian/tmp/DEBIAN/templates
	install -m 644 debian/conffiles debian/tmp/DEBIAN
	install -m 755 debian/preinst debian/tmp/DEBIAN
	install -m 755 debian/postinst debian/tmp/DEBIAN
	install -m 755 debian/postrm debian/tmp/DEBIAN
	install -m 755 debian/config debian/tmp/DEBIAN

	install -d -m 755 debian/tmp/usr/sbin
	install -s -m 755 ssmtp debian/tmp/usr/sbin/ssmtp
	install -d -m 755 debian/tmp/usr/share/man/man8
	install -m 644 ssmtp.8 debian/tmp/usr/share/man/man8/ssmtp.8
	install -d -m 755 debian/tmp/usr/share/man/man5
	install -m 644 ssmtp.conf.5 debian/tmp/usr/share/man/man5/ssmtp.conf.5
	install -d -m 755 debian/tmp/etc/ssmtp
	install -m 644 revaliases debian/tmp/etc/ssmtp/revaliases

	-cd debian/tmp/usr/sbin && ln -sf ssmtp sendmail
	install -d -m 755 -o root -g root debian/tmp/usr/lib
	-cd debian/tmp/usr/lib && ln -sf ../sbin/sendmail .

	-cd debian/tmp/usr/sbin && ln -sf ssmtp newaliases
	install -m 644 debian/newaliases.8 debian/tmp/usr/share/man/man8
	-cd debian/tmp/usr/sbin && ln -sf ssmtp mailq
	install -m 644 debian/mailq.8 debian/tmp/usr/share/man/man8

	gzip -9v debian/tmp/usr/share/man/man5/*
	gzip -9v debian/tmp/usr/share/man/man8/*
	-cd debian/tmp/usr/share/man/man8 && ln -sf ssmtp.8.gz sendmail.8.gz

	install -d -m 755 -o root -g root debian/tmp/usr/share/doc/ssmtp
	install -m 644 TLS debian/tmp/usr/share/doc/ssmtp
	install -m 644 README debian/tmp/usr/share/doc/ssmtp
	install -m 644 debian/README.debian debian/tmp/usr/share/doc/ssmtp/README.Debian
	install -m 644 debian/copyright debian/tmp/usr/share/doc/ssmtp
	install -m 644 debian/changelog debian/tmp/usr/share/doc/ssmtp/changelog.Debian
	install -m 644 CHANGELOG_OLD debian/tmp/usr/share/doc/ssmtp/changelog
	install -m 644 debian/AddHeader debian/tmp/usr/share/doc/ssmtp/AddHeader
	gzip -9 debian/tmp/usr/share/doc/ssmtp/{changelog.Debian,changelog}

	install -d -m 755 debian/tmp/etc/logcheck/ignore.d.server
	install -m 640 debian/logcheck.server \
		debian/tmp/etc/logcheck/ignore.d.server/ssmtp
	
	install -d -m 755 debian/tmp/usr/share/lintian/overrides/
	install -m 644 debian/ssmtp.lintian debian/tmp/usr/share/lintian/overrides/ssmtp

	dpkg --build debian/tmp ..

binary-indep:

clean:
	test \! -f Makefile || make distclean
	-rm -rf debian/tmp
	-rm -f debian/{files,substvars}

checkroot:
	test root = "`whoami`"

.PHONY: build binary clean checkroot

## ssmtp 2.65

=== debian/changelog ===
ssmtp (2.65-1) unstable; urgency=medium

  * Adopt package (Closes: #925056)
  * Add new upstream (Closes: #1116237)
  * Build warning with -Wall (Closes: #346406)
  * Removed patches after merging to upstream.
  * Fix lintian warnings.

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Wed, 24 Sep 2025 15:08:16 +0500

ssmtp (2.64-13) unstable; urgency=medium

  * QA upload
  * d/copyright: Convert to machine-readable format
  * Revert port from openssl to gnutls
  * GCC 15 fix (Closes: #1097931)
  * Rename badly named patch
  * lintian: Drop non-matching override
  * Prevent overriding Debian CFLAGS

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Bastian Germann <bage@debian.org>  Thu, 11 Sep 2025 16:32:20 +0200

ssmtp (2.64-12) unstable; urgency=medium

  * copyright: do not claim package is maintained
  * Patch incorrect pointer usage (Closes: #1075538)
  * Use dh sequencer to get dh_autoreconf
  * Remove obsolete upgrade code moving conffiles

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 06 Oct 2024 15:08:16 +0200

ssmtp (2.64-11) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:31:50 +0100

ssmtp (2.64-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.61-6, 2.61-1, 2.60.12,
    2.60.11, 2.60.9, 2.60.8, 2.60.7.
  * Drop custom source compression.
  * Change priority extra to priority optional.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 03 Feb 2021 12:30:25 +0000

ssmtp (2.64-9) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible.
    Thanks to Chris Lamb (Closes: #777398)
  * Fix permissions and ownership of config file.
    Thanks to Simon Deziel (Closes: #661954)
  * Update Vcs-* URLs to current location
  * Use a page which follows policy §5.6.23 better
  * Add patch to keep From: header if FromLineOverride=NO.
    Thanks to Herbert Xu (Closes: #939298)
  * Fix cross building.
    Thanks to Helmut Grohne for the original patch (Closes: #861420)
  * Orphaned package: set QA Group as maintainer

 -- Ricardo Mones <mones@debian.org>  Wed, 29 Apr 2020 16:59:35 +0200

ssmtp (2.64-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix TLS 1.3 handshake (Closes: #932605, #933236)

 -- Ricardo Mones <mones@debian.org>  Tue, 13 Aug 2019 09:34:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ssmtp
 Section: mail
-Priority: extra
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), po-debconf, libgnutls-openssl-dev
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/ssmtp/ssmtp.git
-Vcs-Browser: http://git.debian.org/?p=ssmtp/ssmtp.git
-Homepage: http://packages.qa.debian.org/s/ssmtp.html
+Priority: optional
+Maintainer: Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>
+Build-Depends: po-debconf, libssl-dev, debhelper-compat (= 13), dh-sequence-zz-debputy-rrr (>= 0.1.23~)
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/debian/ssmtp.git
+Vcs-Browser: https://salsa.debian.org/debian/ssmtp
+Homepage: https://github.com/Project-OSS-Revival/ssmtp
+Rules-Requires-Root: no
 
 Package: ssmtp
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#
# Rules for making sSMTP - Matt Ryan
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>
#

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

SHELL=/bin/bash
export CC=$(DEB_HOST_GNU_TYPE)-gcc
INSTALL=install '--strip-program=$(DEB_HOST_GNU_TYPE)-strip'

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --exec-prefix="/usr" --prefix="" --enable-ssl --enable-inet6 --enable-md5auth --with-cflags="$(CFLAGS)"

override_dh_auto_install:
	$(INSTALL) -d -m 755 debian/tmp/usr/sbin
	$(INSTALL) -s -m 2755 ssmtp debian/tmp/usr/sbin/ssmtp
	$(INSTALL) -d -m 755 debian/tmp/usr/share/man/man8
	$(INSTALL) -m 644 ssmtp.8 debian/tmp/usr/share/man/man8/ssmtp.8
	$(INSTALL) -d -m 755 debian/tmp/usr/share/man/man5
	$(INSTALL) -m 644 ssmtp.conf.5 debian/tmp/usr/share/man/man5/ssmtp.conf.5
	$(INSTALL) -d -m 750 debian/tmp/etc/ssmtp
	$(INSTALL) -m 640 revaliases debian/tmp/etc/ssmtp/revaliases

	-cd debian/tmp/usr/sbin && ln -sf ssmtp sendmail
	$(INSTALL) -d -m 755 debian/tmp/usr/lib
	-cd debian/tmp/usr/lib && ln -sf ../sbin/sendmail .

	-cd debian/tmp/usr/sbin && ln -sf ssmtp newaliases
	$(INSTALL) -m 644 debian/newaliases.8 debian/tmp/usr/share/man/man8
	-cd debian/tmp/usr/sbin && ln -sf ssmtp mailq
	$(INSTALL) -m 644 debian/mailq.8 debian/tmp/usr/share/man/man8

	gzip -9nv debian/tmp/usr/share/man/man5/*
	gzip -9nv debian/tmp/usr/share/man/man8/*
	-cd debian/tmp/usr/share/man/man8 && ln -sf ssmtp.8.gz sendmail.8.gz

	$(INSTALL) -d -m 755 debian/tmp/usr/share/doc/ssmtp
	$(INSTALL) -m 644 TLS debian/tmp/usr/share/doc/ssmtp
	$(INSTALL) -m 644 README debian/tmp/usr/share/doc/ssmtp
	$(INSTALL) -m 644 CHANGELOG_OLD debian/tmp/usr/share/doc/ssmtp/changelog
	$(INSTALL) -m 644 debian/AddHeader debian/tmp/usr/share/doc/ssmtp/AddHeader

	$(INSTALL) -d -m 755 debian/tmp/etc/logcheck/ignore.d.server
	$(INSTALL) -m 640 debian/logcheck.server \
		debian/tmp/etc/logcheck/ignore.d.server/ssmtp

=== debian/watch ===
version=4

    https://github.com/Project-OSS-Revival/ssmtp/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
